<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div
      class="side-item-0"
      routerLink="/home"
      style="background-color: rgba(196, 193, 193, 0.568); border-radius: 0px 50px 50px 0px;"
    >
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div
      style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
      height: 6%;
      padding-top: 4%;"
    >
      รายวิชาของฉัน
    </div>
    <div
      class="side-item-1"
      *ngFor="let subject of subjects_for_search"
      [class.selected]="sub === selectSubject"
      (click)="onSelect(subject)"
    >
      <mat-icon class="side-text">list_alt</mat-icon>
      {{ subject.subject_name }}
      <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
    </div>
    <div class="side"></div>

    <div class="side-item-0" routerLink="/homeStore">
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>
        <h1
          (click)="onHome()"
          style="cursor:pointer; font-family: 'Kanit', sans-serif;"
        >
          MAKRUB
        </h1>

        <span class="example-spacer"></span>

        <button
          mat-icon-button
          [matMenuTriggerFor]="join"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon class="add">add</mat-icon>
        </button>
        <mat-menu #join="matMenu">
          <button mat-menu-item (click)="addClass()">
            <mat-icon>insert_invitation</mat-icon>
            <span>สร้างชั้นเรียน</span>
          </button>
          <button mat-menu-item (click)="joinClass()">
            <mat-icon>assignment_ind</mat-icon>
            <span>เข้าร่วมชั้นเรียน</span>
          </button>
        </mat-menu>

        <img class="example-icon" [src]="imageUrl" />
        <button
          mat-icon-button
          [matMenuTriggerFor]="menu"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>
    <section class="example-section">
      <div class="side-item" style="margin-right: 50px;">สถานะ</div>
      <mat-form-field style="width: 20%;">
        <mat-label>เลือก</mat-label>
        <mat-select disableRipple [(value)]="selected">
          <mat-option value="1" (click) = "selectStatus()">ทั้งหมด</mat-option>
          <mat-option value="2" (click) = "selectStatus()">เจ้าของห้อง</mat-option>
          <mat-option value="3" (click) = "selectStatus()">สมาชิก</mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field
        appearance="outline"
        style="margin-left: 50%; width: 70%; margin-right: 50px;"
      >
        <mat-label>Search</mat-label>
        <input style="font-family: 'Kanit', sans-serif;" matInput [(ngModel)]="search"/>
        <mat-icon matSuffix>search</mat-icon>
      </mat-form-field>
    </section>
    <div class="side"></div>
    <!-- <button mat-raised-button (click)="addCard()">Add Card</button>
    <button mat-raised-button (click)="clearCards()">Clear All Cards</button> -->
    <div class="blocksWrapper">
      <!-- 1 -->
      <app-home-card
        *ngFor="let subject of subjects | filter:search"
        [detailData]="subject"
        [class.selected]="sub === selectSubject"
        (click)="onSelect(subject)"
      ></app-home-card>
    </div>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
